import request from '@/utils/request'

// 创建采收批次
export function createHarvestBatch(data) {
  return request({
    url: '/product/harvest-batch/create',
    method: 'post',
    data: data
  })
}

// 更新采收批次
export function updateHarvestBatch(data) {
  return request({
    url: '/product/harvest-batch/update',
    method: 'put',
    data: data
  })
}

// 删除采收批次
export function deleteHarvestBatch(id) {
  return request({
    url: '/product/harvest-batch/delete?id=' + id,
    method: 'delete'
  })
}

// 获得采收批次
export function getHarvestBatch(id) {
  return request({
    url: '/product/harvest-batch/get?id=' + id,
    method: 'get'
  })
}

// 获得采收批次分页
export function getHarvestBatchPage(query) {
  return request({
    url: '/product/harvest-batch/page',
    method: 'get',
    params: query
  })
}

// 导出采收批次 Excel
export function exportHarvestBatchExcel(query) {
  return request({
    url: '/product/harvest-batch/export-excel',
    method: 'get',
    params: query,
    responseType: 'blob'
  })
}


// 根据商户id获取所有批次id
export function getHarvestBatchIdsByGoodsId(query) {
  return request({
     url: '/product/harvest-batch/getHarvestBatchIdsByGoodsId',
     method: 'get',
     params: query
   })
 }

 // 根据商户id获取所有批次id - 2
export function getByGoodsId(query) {
  return request({
     url: '/product/harvest-batch/getByGoodsId',
     method: 'get',
     params: query
   })
 }

 // 获得农事活动配置 - 溯源环节相关
export function getFarmingConfig(params) {
  return request({
     url: '/product/harvest-batch/getFarmingConfig',
     method: 'get',
     params,
   })
 }

 // 更新农事活动配置 - 溯源环节相关
export function updateFarmingConfig(data) {
  return request({
     url: '/product/harvest-batch/updateFarmingConfig',
     method: 'put',
     data,
   })
 }

// 导出环节配置
export function exportLinkConfig(params) {
  return request({
    url: '/product/harvest-batch/exportLinkConfig',
    method: 'get',
    params,
  })
}

// 根据商品编码集合获取批次编码
export function getBatchIdsByGoodsId(params) {
  return request({
    url: '/product/harvest-batch/getBatchIdsByGoodsId',
    method: 'get',
    params,
  })
}

// 根据商户ID，已上链，俩个条件查询出所有采收批次id
export function getBlockState(params) {
  return request({
     url: '/product/harvest-batch/getHarvestBatchByBusinessId?businessId='+ params.belongBusinessld+'&blockState='+params.blockState,
     method: 'get',
  })
}
